%global base_name       io
%global short_name      commons-%{base_name}

Name:           apache-%{short_name}
Version:        2.4
Release:        %mkrel 10
Group:          Development/Java
Epoch:          1
Summary:        Utilities to assist with developing IO functionality
License:        ASL 2.0
URL:            http://commons.apache.org/%{base_name}
Source0:        http://archive.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz
BuildArch:      noarch

BuildRequires:  java-devel >= 1:1.6
BuildRequires:  maven-local
BuildRequires:  apache-commons-parent

%description
Commons-IO contains utility classes, stream implementations,
file filters, and endian classes. It is a library of utilities
to assist with developing IO functionality.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{short_name}-%{version}-src
sed -i 's/\r//' *.txt

%build
%mvn_file  : %{short_name} %{name}
%mvn_alias : org.apache.commons:
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1:2.4-10.mga6
+ Revision: 982569
- Second rebuild of the java stack

* Tue Feb 23 2016 daviddavid <daviddavid> 1:2.4-9.mga6
+ Revision: 977196
- rebuild against current java stack

* Sun Feb 21 2016 neoclust <neoclust> 1:2.4-5.mga6
+ Revision: 975485
- First rebuild of the java stack
- sync package apache-commons-io with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + dmorgan <dmorgan>
    - Restore from Obsolete

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 1:2.4-8.mga5
+ Revision: 748939
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.4-7.mga5
+ Revision: 677808
- Mageia 5 Mass Rebuild

* Tue Nov 26 2013 dmorgan <dmorgan> 1:2.4-6.mga4
+ Revision: 553584
- Disable tests

* Tue Oct 22 2013 umeabot <umeabot> 1:2.4-5.mga4
+ Revision: 545636
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 1:2.4-4.mga4
+ Revision: 501469
- Build with xmvn
- Add Provides/Obsoletes for jakarta-commons-io

* Fri Jan 11 2013 umeabot <umeabot> 1:2.4-2.mga3
+ Revision: 345745
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 dmorgan <dmorgan> 1:2.4-1.mga3
+ Revision: 289701
- New version 2.4

* Mon Jul 16 2012 dmorgan <dmorgan> 1:2.1-1.mga3
+ Revision: 271292
- New version 2.1

* Sat Jul 23 2011 dmorgan <dmorgan> 1:2.0.1-4.mga3
+ Revision: 128024
- Fix build with maven3
    - Use new add_maven_depmap macro

* Wed Apr 27 2011 dmorgan <dmorgan> 1:2.0.1-3.mga1
+ Revision: 92236
- Rebuild after bootstrapping
- imported package apache-commons-io


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1:2.0.1-1
- Update to 2.0.1
- Versionless jars & javadocs
- Use maven 3 to build
- Use apache-commons-parent for BR

* Fri Oct 22 2010 Chris Spike <chris.spike@arcor.de> 1:2.0-1
- Updated to 2.0
- Cleaned up BRs

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1:1.4-6
- Add license to javadoc subpackage

* Fri May 21 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1:1.4-5
- Correct depmap filename for backward compatibility

* Mon May 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1:1.4-4
- Fix maven depmap JPP name to short_name

* Wed May 12 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1:1.4-3
- Add obsoletes to javadoc sub-package

* Wed May 12 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1:1.4-2
- Add symlink to short_name.jar
- Fix mavendepmapfragdir wildcard

* Tue May 11 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1:1.4-1
- Rename and rebase of jakarta-commons-io
- Clean up whole spec
